[Fusionforge-commits] FusionForge branch 6.0 updated. 2b72c72d0db9d8db889952df12cf860f0b794b32

Sylvain Beucler beuc-inria at fusionforge.org
Wed Apr 29 14:54:51 CEST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  2b72c72d0db9d8db889952df12cf860f0b794b32 (commit)
       via  3800c9eabf2045c4876a0c8c7ab41bb6d0e4abc9 (commit)
       via  f25af124a6566172018d34f7083b1fed28b57628 (commit)
       via  375f9601a0666de06c5375ab3900d3d4754a9341 (commit)
      from  e337630ffa34ea1b8bee711dba03e7fcebe8a117 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2b72c72d0db9d8db889952df12cf860f0b794b32
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Wed Apr 29 14:53:10 2015 +0200

    rpm: properly unregister init scripts

diff --git a/src/post-install.d/common/systasksd.sh b/src/post-install.d/common/systasksd.sh
index 476bf65..4999c24 100755
--- a/src/post-install.d/common/systasksd.sh
+++ b/src/post-install.d/common/systasksd.sh
@@ -31,7 +31,7 @@ case "$1" in
 
     remove)
 	if [ -x /sbin/chkconfig ]; then
-	    chkconfig fusionforge-systasksd off
+	    chkconfig --del fusionforge-systasksd
 	else
 	    update-rc.d fusionforge-systasksd remove
 	fi
diff --git a/src/post-install.d/db-remote/db-remote.sh b/src/post-install.d/db-remote/db-remote.sh
index 76f320d..fa756b7 100755
--- a/src/post-install.d/db-remote/db-remote.sh
+++ b/src/post-install.d/db-remote/db-remote.sh
@@ -29,7 +29,7 @@ case "$1" in
 
     remove)
 	if [ -x /sbin/chkconfig ]; then
-	    chkconfig fusionforge-systasksd off
+	    chkconfig --del fusionforge-systasksd
 	else
 	    update-rc.d fusionforge-systasksd remove
 	fi

commit 3800c9eabf2045c4876a0c8c7ab41bb6d0e4abc9
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Wed Apr 29 14:49:23 2015 +0200

    db-remote: register postgresql init.d stub

diff --git a/src/GNUmakefile b/src/GNUmakefile
index a6401f2..b2265e9 100644
--- a/src/GNUmakefile
+++ b/src/GNUmakefile
@@ -90,9 +90,10 @@ install-db: install-base-dirs
 			> $(DESTDIR)$(sysconfdir)/cron.d/fusionforge-db; \
 	fi
 
-install-db-remote:
+install-db-remote: install-base-dirs
 	$(INSTALL) -d -m 00755 $(DESTDIR)$(sysconfdir)/init.d/
 	$(CP_R) etc/init.d/fusionforge-db-remote $(DESTDIR)$(sysconfdir)/init.d/fusionforge-db-remote
+	$(CP_R) post-install.d/db-remote $(DESTDIR)$(pkgdatadir)/post-install.d/
 
 install-web: install-base-dirs
 	$(CP_R) vendor www $(DESTDIR)$(pkgdatadir)/
@@ -184,6 +185,8 @@ post-install-common:
 	$(post_source_path)/post-install.d/common/common.sh configure
 post-install-db:
 	$(post_source_path)/post-install.d/db/db.sh configure
+post-install-db-remote:
+	$(post_source_path)/post-install.d/db-remote/remote.sh configure
 post-install-web:
 	$(post_source_path)/post-install.d/web/web.sh configure
 post-install-scm:
diff --git a/src/debian/fusionforge-db-remote.postinst b/src/debian/fusionforge-db-remote.postinst
new file mode 100644
index 0000000..6b4b9c8
--- /dev/null
+++ b/src/debian/fusionforge-db-remote.postinst
@@ -0,0 +1,40 @@
+#!/bin/bash
+# postinst script for fusionforge
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        $(forge_get_config source_path)/post-install.d/db-remote/db-remote.sh configure
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/src/debian/fusionforge-db-remote.prerm b/src/debian/fusionforge-db-remote.prerm
new file mode 100644
index 0000000..868bbf0
--- /dev/null
+++ b/src/debian/fusionforge-db-remote.prerm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# prerm script for fusionforge
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        $(forge_get_config source_path)/post-install.d/db-remote/db-remote.sh remove
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/src/post-install.d/db-remote/db-remote.sh b/src/post-install.d/db-remote/db-remote.sh
new file mode 100755
index 0000000..76f320d
--- /dev/null
+++ b/src/post-install.d/db-remote/db-remote.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# Install postgresql stub because init.d/fusionforge-systasksd needs it
+#
+# Copyright (C) 2014  Inria (Sylvain Beucler)
+#
+# This file is part of FusionForge. FusionForge is free software;
+# you can redistribute it and/or modify it under the terms of the
+# GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the Licence, or (at your option)
+# any later version.
+#
+# FusionForge is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with FusionForge; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+case "$1" in
+    configure)
+	if [ -x /sbin/chkconfig ]; then
+	    chkconfig fusionforge-db-remote on
+	else
+	    update-rc.d fusionforge-db-remote defaults
+	fi
+	;;
+
+    remove)
+	if [ -x /sbin/chkconfig ]; then
+	    chkconfig fusionforge-systasksd off
+	else
+	    update-rc.d fusionforge-systasksd remove
+	fi
+	;;
+
+    purge)
+	;;
+
+    *)
+	echo "Usage: $0 {configure|remove}"
+	exit 1
+	;;
+esac
diff --git a/src/rpm/fusionforge.spec.in b/src/rpm/fusionforge.spec.in
index e4a19c3..2c991ca 100644
--- a/src/rpm/fusionforge.spec.in
+++ b/src/rpm/fusionforge.spec.in
@@ -143,6 +143,10 @@ separate machine.  It preserves the fusionforge-db virtual dependency,
 to configure the database before depending packages in single-server
 installs (e.g. plugins activation requires a populated db).
 %files db-remote -f db-remote.rpmfiles
+%post db-remote
+%{_datadir}/%{name}/post-install.d/db-remote/db-remote.sh configure
+%preun db-remote
+if [ $1 -eq 0 ] ; then %{_datadir}/%{name}/post-install.d/db-remote/db-remote.sh remove; fi
 
 
 %package shell

commit f25af124a6566172018d34f7083b1fed28b57628
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Wed Apr 29 11:28:59 2015 +0200

    deb: db-local: run uninstall script when removing the package

diff --git a/src/debian/fusionforge-db-local.prerm b/src/debian/fusionforge-db-local.prerm
new file mode 100644
index 0000000..80db7bb
--- /dev/null
+++ b/src/debian/fusionforge-db-local.prerm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# prerm script for fusionforge
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        $(forge_get_config source_path)/post-install.d/db/db.sh remove
+    ;;
+
+    upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/src/post-install.d/db/server.sh b/src/post-install.d/db/server.sh
index 08e52b1..0d5d263 100755
--- a/src/post-install.d/db/server.sh
+++ b/src/post-install.d/db/server.sh
@@ -84,7 +84,9 @@ case "$1" in
 	;;
     
     remove)
-	sed -i -e '/^### BEGIN FUSIONFORGE BLOCK/,/^### END FUSIONFORGE BLOCK/d' $pg_hba
+	if [ -e "$pg_hba" ]; then
+	    sed -i -e '/^### BEGIN FUSIONFORGE BLOCK/,/^### END FUSIONFORGE BLOCK/d' $pg_hba
+	fi
 	;;
 
     *)

commit 375f9601a0666de06c5375ab3900d3d4754a9341
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Wed Apr 29 11:27:55 2015 +0200

    systasksd: remove update-rc.d work-around which was fixed in Debian

diff --git a/src/post-install.d/common/systasksd.sh b/src/post-install.d/common/systasksd.sh
index 3459fab..476bf65 100755
--- a/src/post-install.d/common/systasksd.sh
+++ b/src/post-install.d/common/systasksd.sh
@@ -24,10 +24,6 @@ case "$1" in
 	    chkconfig fusionforge-systasksd on
 	else
 	    update-rc.d fusionforge-systasksd defaults
-	    # Work-around http://bugs.debian.org/774799
-	    if [ -x /bin/systemctl ]; then
-		systemctl daemon-reload
-	    fi
 	fi
 	# not 'start' as systemd will no-op if systasksd started and exited
 	service fusionforge-systasksd restart

-----------------------------------------------------------------------

Summary of changes:
 src/GNUmakefile                                          |    5 ++++-
 ...usionforge-shell.prerm => fusionforge-db-local.prerm} |    2 +-
 ...rge-lists.postinst => fusionforge-db-remote.postinst} |    2 +-
 ...ionforge-common.prerm => fusionforge-db-remote.prerm} |    2 +-
 src/post-install.d/common/systasksd.sh                   |    6 +-----
 .../{common/systasksd.sh => db-remote/db-remote.sh}      |   14 ++++----------
 src/post-install.d/db/server.sh                          |    4 +++-
 src/rpm/fusionforge.spec.in                              |    4 ++++
 8 files changed, 19 insertions(+), 20 deletions(-)
 copy src/debian/{fusionforge-shell.prerm => fusionforge-db-local.prerm} (92%)
 copy src/debian/{fusionforge-lists.postinst => fusionforge-db-remote.postinst} (91%)
 copy src/debian/{fusionforge-common.prerm => fusionforge-db-remote.prerm} (91%)
 copy src/post-install.d/{common/systasksd.sh => db-remote/db-remote.sh} (73%)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list